man(1)

NAME
guhd - Server for home automation systems

SYNOPSIS
guhd [OPTION]

DESCRIPTION
guh (/[guːh]/) is an open source home automation server, which allows to control a lot of different devices from many different manufacturers. With the powerful rule engine you are able to connect any device available in the system and create individual scenes and behaviors for your home.

OPTIONS

-h, --help
    Displays this help.

-v, --version
    Displays version information.

-n, --no-daemon
    Run guhd in the foreground, not as daemon.

-d, --debug, <[No]DebugCategory>
    Debug categories to enable. Prefix with categories will be printed unless explicitly muted with "NoWarnings".

    Main debug categories:

    Application (default enabled)
        Print the debug messages from the core application.

    Connection (default enabled)
        Print the debug messages from the TCP connections in guh.

    DeviceManager (default enabled)
        Print the debug messages from the device manager.

    Hardware (default disabled)
        Print the debug messages from hardware resources in guh.

    JsonRpc (default disabled)
        Print the debug messages from JSON-RPC interface.

    LogEngine (default disabled)
        Print the debug messages from logging engine.

    RuleEngine (default enabled)
        Print the debug messages from the rule engine.

    Debug categories for plugins:

    CommandLauncher (default disabled)
        Print the debug messages from the command launcher device plugin.

    DateTime (default disabled)
        Print the debug messages from the date/time device plugin.

    EQ-3 (default disabled)
        Print the debug messages from eQ-3 device plugin.

    LgSmartTv (default disabled)
        Print the debug messages from Lg Smart Tv device plugin.

    Kodi (default disabled)
        Print the debug messages from kodi device plugin.

    Lircd (default disabled)
        Print the debug messages from lircd device plugin.

    MailNotification (default disabled)
        Print the debug messages from the mail notification device plugin.

    Mock (default disabled)
        Print the debug messages from the mock device plugin.

    Openweahtermap (default disabled)
        Print the debug messages from the open weathermap device plugin.

    PhilipsHue (default disabled)
        Print the debug messages from the Philips Hue device plugin.

    RF433 (default disabled)
        Print the debug messages from the RF 433 MHz plugins. Each plugin which uses the RF 433 MHz hardware resource is in this debug caterogry.

    Tune (default disabled)
        Print the debug messages from the tune device plugin.

    UdpCommander (default disabled)
        Print the debug messages from the UPD commander device plugin.

    WakeOnLan (default disabled)
        Print the debug messages from the wake on lan device plugin.

    Warnings (default enabled)
        Print warnings of all categories.

    Wemo (default disabled)
        Print the debug messages from the wemo device plugin.

    WifiDetector (default disabled)
        Print the debug messages from the WiFi detector device plugin.

SEE ALSO
Full developer documentation at: <http://dev.guh.guru>
Wiki on github: <https://github.com/guh/guh/wiki>

REPORTING BUGS
Issue tracker on github: <https://github.com/guh/guh/issues>
How to report bugs can: <https://github.com/guh/guh/wiki/Reporting-bugs>

AUTHOR
Written by Simon Stürz and Michael Zanetti

COPYRIGHT
Copyright © 2013-2015 ARGE guh.
License GPLv2: GNU GPL version 2 <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.